develooper Front page | perl.perl5.porters | Postings from December 2007

Re: 5.11 (or 12) and strict

Thread Previous | Thread Next
From:
Gabor Szabo
Date:
December 26, 2007 23:52
Subject:
Re: 5.11 (or 12) and strict
Message ID:
d8a74af10712262352h9cb3e72q46d4ce3f20a61d5f@mail.gmail.com
Steffen Mueller wrote:
> "use 5.10.0;" already auto-imports feature.pm and loads the 5.10
> specific features.
>
> How about having "use 5.11.0;" (or 5.12.0) automatically import strict
> along with the 5.10+5.11 feature set? Naturally, the -E switch for
> one-liners should *not* do that.

+++++++++++++

Will adding use warnings have to wait till 5.14?
While turning on use warnings on production code is debated IMHO
it is widely accepted as a good practice to turn it on during development.

(maybe even with FATAL => 'all' ??)

Again my view might be skewed as I see many people learning Perl.

So would it be possible to turn it on as well along with strict?

Gabor

Thread Previous | Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About